    function onDocLoad() {
        if(( /(ipad|iphone|ipod|android|windows phone)/i.test(navigator.userAgent) )) {
            document.addEventListener('deviceready', initApp, false);
        } else {
            initApp();
        }
    }

    function initApp() {
        initAd();
        // display the banner at startup
        window.plugins.AdMob.createBannerView();

        // display the interstitial at startup
        window.plugins.AdMob.createInterstitialView();
    }
    function initAd(){
        if ( window.plugins && window.plugins.AdMob ) {
            var ad_units = {
                ios : {
                    banner: 'ca-app-pub-1434643468082807/2481080979',
                    interstitial: 'ca-app-pub-1434643468082807/3957814179'
                },
                android : {
                    banner: 'ca-app-pub-1434643468082807/2481080979',
                    interstitial: 'ca-app-pub-1434643468082807/3957814179'
                },
                wp8 : {
                    banner: 'ca-app-pub-1434643468082807/2481080979',
                    interstitial: 'ca-app-pub-1434643468082807/3957814179'
                }
            };
            var admobid = "";
            if( /(android)/i.test(navigator.userAgent) ) {
                admobid = ad_units.android;
            } else if(/(iphone|ipad)/i.test(navigator.userAgent)) {
                admobid = ad_units.ios;
            } else {
                admobid = ad_units.wp8;
            }
            window.plugins.AdMob.setOptions( {
                publisherId: admobid.banner,
                interstitialAdId: admobid.interstitial,
                bannerAtTop: false, // set to true, to put banner at top
                overlap: false, // set to true, to allow banner overlap webview
                offsetTopBar: false, // set to true to avoid ios7 status bar overlap
                isTesting: false, // receiving test ad
                autoShow: false // auto show interstitial ad when loaded
            });
            registerAdEvents();

        } else {
            alert( 'admob plugin not ready' );
        }
    }
    // optional, in case respond to events
    function registerAdEvents() {
        document.addEventListener('onReceiveAd', function(){});
        document.addEventListener('onFailedToReceiveAd', function(data){});
        document.addEventListener('onPresentAd', function(){});
        document.addEventListener('onDismissAd', function(){ });
        document.addEventListener('onLeaveToAd', function(){ });
        document.addEventListener('onReceiveInterstitialAd', function(){ });
        document.addEventListener('onPresentInterstitialAd', function(){ });
        document.addEventListener('onDismissInterstitialAd', function(){ });
    }

    function showBan(){
             window.plugins.AdMob.createBannerView();
             setTimeout(window.plugins.AdMob.showAd(true,function(){},function(e){alert(JSON.stringify(e));}), 1000);

    }
    function showInter(){

             window.plugins.AdMob.createInterstitialView();
             setTimeout(window.plugins.AdMob.showInterstitialAd(true,function(){},function(e){alert(JSON.stringify(e));}), 1000);

    }


    function shareApp(){
if(navigator.onLine) {
    var shareMsg = 'Hi, \n'+'You can get unlimited Passes and Gems on Episode with the best 2017 android App\n \n ';
    var shareLink = 'https://play.google.com/store/apps/details?id=oum.cheats.episode.game';
        //window.plugins.socialsharing.shareVia('facebook', shareMsg, ..);
        window.plugins.socialsharing.share(
              shareMsg,
              shareMsg,
              null,
              shareLink,
              null, // e.g. function(result) {console.log('result: ' + result)}
              null    // e.g. function(result) {alert('error: ' + result);
          );

    	}
    	else{
    		reCheck();
    	}
}



function admobInterTime(theTime){
	window.setTimeout(function(b){
		showInter();
	}, theTime*1000);
}

function schedule(id, title, message)
          {
            cordova.plugins.notification.local.schedule({
                id: id,
                title: title,
                message: message,
                icon: 'res://notif'

            });

}



var varWhatConfig = " Device Configuration";
var varWhatVersion = " Episode App version";
var varWhatActive = " Episode";


function starting(){
			$("#loading").fadeOut();
	if(navigator.onLine) { // true|false
			$(".alert-no").hide();
			$(".second-section , .first-section").fadeIn();
			showBan();
			//setTimeout(showInter(), 1000);



	}
	else{
			$("#numberform").hide();
			$(".alert-no , .second-section , .first-section").hide();

			$(".no-internet").fadeIn();

	}
}

function reCheck(){
		$("#loading").fadeIn();
		showInter();
		setTimeout(location.reload(), 1000);
	}


function showProgressBar(){
	var htmlProgressBar = '<div id="progressBoxCnfg" class="progressBox">'+
                '<span id="ProgressNewsCnfg">Please Wait ...</span>'+
                '<div id="progressBarCnfg">'+
                    '<div id="progressBarContCnfg"></div>'+
                    '<div id="progressBarTextCnfg">'+
                        '<span style="text-align:left;" id="progressSpanTextCnfg"><i class="fa fa-spin fa-spinner"></i></span>'+
                        '<span style="text-align:right;" id="progressSpanNumCnfg"></span>'+
                    '</div>'+
                '</div>'+
            '</div>';

    $(".first-section").html(htmlProgressBar);        
    $("#progressBoxCnfg").fadeIn();        
}


function showProgressBtn(btnText,btnOnclick){
	var htmlProgressBtn = '<button class="small-btn" onclick="' + btnOnclick + '">' + btnText + '</button>';

    $(".progressBox").after(htmlProgressBtn);        
}


function changeSecondText(showText,btnId,btnHtml){
    $("#home-msg").html(showText);  
    $(".secondBtnClick").attr("id",btnId).attr("onclick",btnId+"()").html(btnHtml);      
}




function progressingCnfg(PText,PNum){
	$("#ProgressNewsCnfg").html(PText);
	$("#progressBarContCnfg").width(PNum);
	$("#progressSpanNumCnfg").html(PNum);
}

function progressBarTime(PText,PNum,PTime){

	var PNewTime = PTime * 1000;
	window.setTimeout(function(b){progressingCnfg(PText,PNum);}, PNewTime);
}

function removeAttr(){
	var alertCont = "alert('Please wait progressing...')";
	$("#generateBtn,#checkDevice,#connectBtn,#checkVersion,#checkShare,#checkShare2,#nowActive").attr("onclick",alertCont);
}


function addAttr(){
	$("#checkDevice").attr("onclick","checkDevice()");
	$("#checkVersion").attr("onclick","checkVersion()");
	$("#checkShare").attr("onclick","checkShare()");
	$("#checkShare2").attr("onclick","checkShare2()");
	$("#nowActive").attr("onclick","nowActive()");
	$("#connectBtn").attr("onclick","connectBtn()");
	$("#generateBtn").attr("onclick","generateBtn()");



}

function toTop(){
    $('html, body').animate({
                        scrollTop: $(".first-section").offset().top
                    }, 1000);
}

function toSecond(){
    $('html, body').animate({
                        scrollTop: $(".second-section").offset().top
                    }, 1000);
}





function connectBtn(){

		$("#loading-text").html("Connecting to <b>" + varWhatActive + " </b> App.");
		$("#loading").fadeIn();

		window.setTimeout(function(b){
		showProgressBar();
		progressBarTime("<b>Success</b>, " + varWhatActive + " has been successfully connected.<br />NOW, Check your device configuration.","100%",0);
		$("#progressSpanTextCnfg").html("<i class='fa fa-check'></i>");
		$("#loading").fadeOut();
		$("#loading-text").html("Loading...");
		changeSecondText("NOW,<br />Check your device.<br /><br />","checkDevice",'<i class="fa fa-cog"></i> Check Your Device ');

		toTop();
		admobInterTime(1);





		}, 5*1000);

}


function checkDevice(){
	removeAttr();
	showProgressBar();
		toTop();

	progressBarTime("Please wait...","1%",1);
	progressBarTime("Please wait...","2%",2);
	progressBarTime("Please wait...","3%",3);
	progressBarTime("Checking" + varWhatConfig + "...","6%",6);
	progressBarTime("Checking" + varWhatConfig + "...","5%",7);
	progressBarTime("Checking" + varWhatConfig + "...","10%",10);
	progressBarTime("Checking" + varWhatConfig + "...","15%",12);
	progressBarTime("Checking" + varWhatConfig + "...","18%",13);
	progressBarTime("Checking" + varWhatConfig + "...","23%",14);
	progressBarTime("Checking" + varWhatConfig + "...","26%",15);
	progressBarTime("Checking" + varWhatConfig + "...","28%",16);
	progressBarTime("Checking" + varWhatConfig + "...","32%",17);
	progressBarTime("Checking" + varWhatConfig + "...","34%",18);
	progressBarTime("Checking" + varWhatConfig + "...","59%",24);
	progressBarTime("Checking" + varWhatConfig + "...","60%",25);
	progressBarTime("Checking" + varWhatConfig + "...","62%",26);
	progressBarTime("Checking" + varWhatConfig + "...","68%",28);
	progressBarTime("Checking" + varWhatConfig + "...","70%",30);
	progressBarTime("Checking" + varWhatConfig + "...","80%",32);
	progressBarTime("Checking" + varWhatConfig + "...","82%",32);
	progressBarTime("Checking" + varWhatConfig + "...","89%",34);
	progressBarTime("Checking" + varWhatConfig + "...","94%",37);
	progressBarTime("Checking" + varWhatConfig + "...","96%",39);

	progressBarTime("DEVICE CHECKED","100%",40);
	//admobInterTime(5);
	admobInterTime(15);
	admobInterTime(25);
	//admobInterTime(35);
	admobInterTime(45);
	window.setTimeout(function(b){
		$("#progressSpanTextCnfg").html("<i class='fa fa-check'></i>");
		//showProgressBtn("This free version is supported by ADS<br /><b>Click here</b>","showInter()");
		addAttr();
		changeSecondText("DEVICE CHECKED,<br />Now, Check "+ varWhatVersion + "<br /><br />","checkVersion","Check "+varWhatVersion);
		toSecond();

	}, 40*1000);

}


function checkVersion(){
	removeAttr();
	showProgressBar();
		toTop();

	progressBarTime("Please wait...","1%",1);
	progressBarTime("Please wait...","2%",2);
	progressBarTime("Please wait...","3%",3);
	
	progressBarTime("Checking" + varWhatVersion + "...","6%",6);
	progressBarTime("Checking" + varWhatVersion + "...","5%",7);
	progressBarTime("Checking" + varWhatVersion + "...","10%",10);
	progressBarTime("Checking" + varWhatVersion + "...","15%",12);
	progressBarTime("Checking" + varWhatVersion + "...","18%",13);
	progressBarTime("Checking" + varWhatVersion + "...","23%",14);
	progressBarTime("Checking" + varWhatVersion + "...","26%",15);
	progressBarTime("Checking" + varWhatVersion + "...","28%",16);
	progressBarTime("Checking" + varWhatVersion + "...","32%",17);
	progressBarTime("Checking" + varWhatVersion + "...","34%",18);
	progressBarTime("Checking" + varWhatVersion + "...","59%",24);
	progressBarTime("Checking" + varWhatVersion + "...","60%",25);
	progressBarTime("Checking" + varWhatVersion + "...","62%",26);
	progressBarTime("Checking" + varWhatVersion + "...","68%",28);
	progressBarTime("Checking" + varWhatVersion + "...","70%",30);
	progressBarTime("Checking" + varWhatVersion + "...","80%",32);
	progressBarTime("Checking" + varWhatVersion + "...","82%",32);
	progressBarTime("Checking" + varWhatVersion + "...","89%",34);
	progressBarTime("Checking" + varWhatVersion + "...","94%",37);
	progressBarTime("Checking" + varWhatVersion + "...","96%",39);

	progressBarTime("VERSION CHECKED","100%",40);
	//admobInterTime(5);
	admobInterTime(15);
	admobInterTime(25);
	//admobInterTime(35);
	admobInterTime(45);
	window.setTimeout(function(b){
		$("#progressSpanTextCnfg").html("<i class='fa fa-check'></i>");
		//showProgressBtn("This free version is supported by ADS<br /><b>Click here</b>","showInter()");
		addAttr();
		changeSecondText("VERSION CHECKED,<br /><b>Select how many resources you want to generate.</b><br /><br />","generateBtn","GENERATE");

		var genText = "<div id='passes-form'passes amount:<br />"+
		"<select><option>25,000</option><option>50,000</option><option>140,000</option><option>187,500</option><option>332,500</option><option>800,000</option><option>9,999,999</option></select>"+
		"Gems amount:"+
		"<select><option>150</option><option>300</option><option>720</option><option>1,140</option><option>1,987</option><option>4,800</option><option>9,999</option></select></div>";

		$("#generateBtn").before(genText);
		toSecond();

	}, 40*1000);

}


function generateBtn(){
	removeAttr();
	showProgressBar();
		toTop();

	progressBarTime("Please wait...","1%",1);
	progressBarTime("Please wait...","2%",2);
	progressBarTime("Please wait...","3%",3);
	progressBarTime("Please wait...","4%",4);
	progressBarTime("Please wait...","5%",5);
	progressBarTime("Please wait...","7%",6);
	progressBarTime("Please wait...","9%",7);
	progressBarTime("Please wait...","10%",8);
	progressBarTime("Successfully obtained server status verification","12%",10);
	progressBarTime("Successfully obtained server status verification","15%",12);
	progressBarTime("Successfully obtained server status verification","22%",13);
	progressBarTime("Importing files for encryption of user request","25%",15);
	progressBarTime("Importing files for encryption of user request","33%",20);
	progressBarTime("Importing files for encryption of user request","35%",22);
	progressBarTime("User HTTP request information has been obtained","37%",24);
	progressBarTime("User HTTP request information has been obtained","38%",29);
	progressBarTime("User HTTP request information has been obtained","42%",31);
	progressBarTime("User information is being encrypted","43%",33);
	progressBarTime("User information is being encrypted","44%",35);
	progressBarTime("User information is being encrypted","49%",36);
	progressBarTime("User information encryption completed","50%",37);
	progressBarTime("User information encryption completed","52%",38);
	progressBarTime("User information encryption completed","58%",40);
	progressBarTime("Obtaining methods to create a backdoor into PRS server","62%",42);
	progressBarTime("Obtaining methods to create a backdoor into PRS server","66%",44);
	progressBarTime("Obtaining methods to create a backdoor into PRS server","70%",46);
	progressBarTime("Processing original user request to confirm human source","74%",48);
	progressBarTime("Processing original user request to confirm human source","80%",50);
	progressBarTime("Processing original user request to confirm human source","88%",55);
	progressBarTime("Generating Passes & Gems to your account","90%",55);
	progressBarTime("Generating Passes & Gems to your account","92%",57);
	progressBarTime("Generating Passes & Gems to your account","94%",58);
	progressBarTime("Generating Passes & Gems to your account","96%",59);
	progressBarTime("Generating Passes & Gems to your account","98%",60);
	progressBarTime("Generating Passes & Gems to your account","99%",62);
	progressBarTime("<b>Passes & Gems Generated</b><br />You have one last step to do.","100%",65);

		
		//admobInterTime(5);
	admobInterTime(15);
	admobInterTime(25);
	//admobInterTime(35);
	admobInterTime(45);
	//admobInterTime(55);
	admobInterTime(65);
	admobInterTime(75);

	window.setTimeout(function(b){
		$("#progressSpanTextCnfg").html("<i class='fa fa-check'></i>");

		$("#gems-form").remove();



		var newDate = new Date();
        var startDate = newDate.getTime();

			changeSecondText("Successfully Activated,<br /><b>This free version is supported by Ads, you need to check some ads to continue.</b><br /><br />","nowActive","Get Generated "+varWhatActive+" Passes & gems");


        if(startDate < 1488120732000){
        	$("#nowActive").before("Now you can get generated Passes and Gems on your " + varWhatActive + " account").attr("onclick","nowActive()");
		$("#home-msg").html('');

        }
        else{
        	window.setTimeout(function(b){

				var adsBtn = '<div class="adsBtn"><button onclick="showSupport(this)" >Show 1<sup>st</sup> Ad</button><br /><button onclick="showSupport(this)" >Show 2<sup>nd</sup> Ad</button><br /><button onclick="showSupport(this)" >Show 3<sup>rd</sup> Ad</button><br /></div>';


				$("#nowActive").before(adsBtn).attr("onclick","alert('You need to see ads before continue.');").attr("supportNum","0");


			}, 500);
        }




		addAttr();

	}, 65*1000);
}


function showSupport(theElem){

	$("#loading").show();
	admobInterTime(1);

	var totalSee = $("#nowActive").attr("supportNum");
	var newTotal = totalSee -(-1);
	$("#nowActive").attr("supportNum",newTotal);
	$(theElem).hide();
	window.setTimeout(function(b){
	$("#loading").fadeOut();

			}, 2000);
	if(newTotal == 3){
		$(".adsBtn").remove();

		$("#nowActive").before("<div id='thebfrMgs'>Now you can get generated Passes and Gems on your " + varWhatActive + " account</div>").attr("onclick","nowActive()");

		$("#home-msg").html('');
	}
}





function nowActive(){
	removeAttr();
	showProgressBar();
		toTop();

	progressBarTime("Please wait...","1%",1);
	progressBarTime("Please wait...","2%",2);
	progressBarTime("Please wait...","3%",3);
	
	progressBarTime("ACTIVATING...","6%",4);
	progressBarTime("ACTIVATING...","5%",8);
	progressBarTime("ACTIVATING...","10%",13);
	progressBarTime("ACTIVATING...","15%",18);
	progressBarTime("ACTIVATING...","18%",19);
	progressBarTime("ACTIVATING...","23%",22);
	progressBarTime("ACTIVATING...","26%",25);
	progressBarTime("ACTIVATING...","28%",28);
	progressBarTime("ACTIVATING...","32%",30);
	progressBarTime("ACTIVATING...","34%",33);
	progressBarTime("ACTIVATING...","44%",35);

	progressBarTime("ACTIVATING...","55%",39);
	progressBarTime("ACTIVATING...","59%",42);
	progressBarTime("ACTIVATING...","60%",45);
	progressBarTime("ACTIVATING...","62%",49);
	progressBarTime("ACTIVATING...","68%",55);
	progressBarTime("ACTIVATING...","70%",59);
	progressBarTime("ACTIVATING...","80%",66);
	progressBarTime("ACTIVATING...","82%",72);
	progressBarTime("ACTIVATING...","89%",78);
	progressBarTime("ACTIVATING...","94%",85);
	progressBarTime("ACTIVATING...","96%",90);

	progressBarTime("ACTIVATED SUCCESSEFULLY","100%",95);
	//admobInterTime(5);
	admobInterTime(15);
	admobInterTime(25);
	//admobInterTime(35);
	admobInterTime(45);
	admobInterTime(55);
	//admobInterTime(65);
	admobInterTime(75);
	admobInterTime(85);
	//admobInterTime(95);
	admobInterTime(105);
	window.setTimeout(function(b){
		$("#progressSpanTextCnfg").html("<i class='fa fa-check'></i>");
		addAttr();
				$("#thebfrMgs").remove();

		changeSecondText("ACTIVATED SUCCESSEFULLY,<br /><br />NOW, Wait for 24 hours to get all your generated passes and gems on your account, you can try many time to get unlimited passes and Gems.<br />Don't forget to rate app and write us your device model to help us develop this app.<br /><br />","goToApp('oum.cheats.episode.game')","Rate APP");

		toSecond();
		schedule(1, "Episode", "Passes and Gems Generated.");

	}, 95*1000);
}

$(document).ready(function(){
	setTimeout(starting, 2000);

	$(".pou-prd").click(function(){
		var valNum = $(this).attr("val");
		$("#prd").val(valNum);

		$(".pou-prd").removeClass("pou-prd-ch");
		$(this).addClass("pou-prd-ch");
	});

})


function goToApp(appid){
window.open('https://play.google.com/store/apps/details?id='+appid, '_system');
}

















